Known Issues

mli only modules

These are supported, however using them might cause make it impossible for non-jbuilder users to use your library. We tried to use them for some internal module generated by Jbuilder and it broke the build of projects not using Jbuilder:

https://github.com/ocaml/dune/issues/567

So, while they are supported, you should be careful where you use them. Using a .ml only module is still preferable.